Parameter.ParameterTypology (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Enum Parameter.ParameterTypology

- java.lang.Object
- - java.lang.Enum<Parameter.ParameterTypology>
  - - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter.ParameterTypology

- All Implemented Interfaces:
    Serializable, Comparable<Parameter.ParameterTypology>
  Enclosing class:
    Parameter

      public static enum Parameter.ParameterTypology
      extends Enum<Parameter.ParameterTypology>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMN`
    `COLUMN_LIST`
    `ENUM`
    `FILE`
    `LIST`
    `OBJECT`
    `TABULAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parameter.ParameterTypology` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Parameter.ParameterTypology[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT

          public static final Parameter.ParameterTypology OBJECT

    - #### TABULAR

          public static final Parameter.ParameterTypology TABULAR

    - #### FILE

          public static final Parameter.ParameterTypology FILE

    - #### ENUM

          public static final Parameter.ParameterTypology ENUM

    - #### LIST

          public static final Parameter.ParameterTypology LIST

    - #### COLUMN

          public static final Parameter.ParameterTypology COLUMN

    - #### COLUMN_LIST

          public static final Parameter.ParameterTypology COLUMN_LIST

  - ### Method Detail

    - #### values

          public static Parameter.ParameterTypology[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parameter.ParameterTypology c : Parameter.ParameterTypology.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parameter.ParameterTypology valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.